/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package AccountingMgmt.Account;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype thing */
public abstract class Account {
    public void credit() {
    }

    public void debit() {
    }

    /**  */
    public BigDecimal calcCreditPostings() {
        return new BigDecimal(0);
    }

    public BigDecimal calcDebitPostings() {
        return new BigDecimal(0);
    }

    public Vector compareBudgetWithActual() {
        return new Vector();
    }

    public Vector listCredits() {
        return new Vector();
    }

    public Vector listDebits() {
        return new Vector();
    }

    private int number;
    private String description;
    private BigDecimal balance;

    /**
     *@supplierCardinality 1
     *@clientCardinality 0..*
     */
    private AccountDesc lnkUnnamed;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 2
     * @clientRole from,to
     * @supplierRole debits,credits
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed1;
}


